/*
*******************************************************************************
* Copyright (C) 2001-2003, International Business Machines Corporation and    *
* others. All Rights Reserved.                                                *
*******************************************************************************
*/
package com.ibm.icu.impl.data;

import java.util.ListResourceBundle; 
import com.ibm.icu.lang.UScript;

public class LocaleScript extends ListResourceBundle { 

      public Object[][] getContents() { 
             return localeScript;
      }

      private static final Object[][] localeScript = new Object[][] {
           {
               "af", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "am", new int[] {
                                  UScript.ETHIOPIC,
                               }
           },
           {
               "ar", new int[] {
                                  UScript.ARABIC,
                               }
           },
           {
               "az", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "be", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "bg", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "bn", new int[] {
                                  UScript.BENGALI,
                               }
           },
           {
               "ca", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "cs", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "da", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "de", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "div", new int[] {
                                  UScript.THAANA,
                               }
           },
           {
               "el", new int[] {
                                  UScript.GREEK,
                               }
           },
           {
               "en", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "eo", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "es", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "et", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "eu", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "fa", new int[] {
                                  UScript.ARABIC,
                               }
           },
           {
               "fi", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "fo", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "fr", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "ga", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "gl", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "gu", new int[] {
                                  UScript.GUJARATI,
                               }
           },
           {
               "gv", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "he", new int[] {
                                  UScript.HEBREW,
                               }
           },
           {
               "hi", new int[] {
                                  UScript.DEVANAGARI,
                               }
           },
           {
               "hr", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "hu", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "hy", new int[] {
                                  UScript.ARMENIAN,
                               }
           },
           {
               "id", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "is", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "it", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "iw", new int[] {
                                  UScript.HEBREW,
                               }
           },
           {
               "ja", new int[] {
                                  UScript.KATAKANA,
                                  UScript.HIRAGANA,
                                  UScript.HAN,
                               }
           },
           {
               "ka", new int[] {
                                  UScript.GEORGIAN,
                               }
           },
           {
               "kk", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "kl", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "kn", new int[] {
                                  UScript.KANNADA,
                               }
           },
           {
               "ko", new int[] {
                                  UScript.HANGUL,
                                  UScript.HAN,
                               }
           },
           {
               "kok", new int[] {
                                  UScript.DEVANAGARI,
                               }
           },
           {
               "kw", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "ky", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "lt", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "lv", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "mk", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "mn", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "mr", new int[] {
                                  UScript.DEVANAGARI,
                               }
           },
           {
               "ms", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "mt", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "nb", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "nl", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "nn", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "pa", new int[] {
                                  UScript.GURMUKHI,
                               }
           },
           {
               "pl", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "pt", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "ro", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "root", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "ru", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "sa", new int[] {
                                  UScript.DEVANAGARI,
                               }
           },
           {
               "sh", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "sk", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "sl", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "sq", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "sr", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "sv", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "sw", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "syr", new int[] {
                                  UScript.SYRIAC,
                               }
           },
           {
               "ta", new int[] {
                                  UScript.TAMIL,
                               }
           },
           {
               "te", new int[] {
                                  UScript.TELUGU,
                               }
           },
           {
               "th", new int[] {
                                  UScript.THAI,
                               }
           },
           {
               "tr", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "tt", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "uk", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "ur", new int[] {
                                  UScript.ARABIC,
                               }
           },
           {
               "uz", new int[] {
                                  UScript.CYRILLIC,
                               }
           },
           {
               "vi", new int[] {
                                  UScript.LATIN,
                               }
           },
           {
               "zh", new int[] {
                                  UScript.HAN,
                               }
           },
           {
               "zh_TW", new int[] {
                                  UScript.HAN,
                                  UScript.BOPOMOFO,
                               }
           },
      };
}